com.aliyun.svideosdk.common.struct.effect

## Class TrackEffectMV

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBase
  - - com.aliyun.svideosdk.common.struct.effect.TrackEffectMV

-     public class TrackEffectMV
      extends EffectBase

  v3.27.0新增 轨道编辑的MV实体类

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TrackEffectMV.Builder`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `mSource, resId, viewId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrackEffectMV()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAudioStreamId()` 获取音频流id
    `long` | `getDuration()` 获取mv的持续时长,单位： 毫秒
    `long` | `getDuration(java.util.concurrent.TimeUnit timeUnit)` 获取mv的持续时长
    `long` | `getStartTime()` 获取mv在轨道的开始时间, 单位： 毫秒
    `long` | `getStartTime(java.util.concurrent.TimeUnit timeUnit)` 获取mv在轨道的开始时间
    `void` | `setAudioStreamId(int audioStreamId)` 设置音频流id

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `checkIsInvalid, copy, getPath, getResId, getSource, getViewId, readString, setPath, setResId, setSource, setViewId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TrackEffectMV

          public TrackEffectMV()

  - ### Method Detail

    - #### getStartTime

          public long getStartTime()

      获取mv在轨道的开始时间, 单位： 毫秒
      Returns:
        startTime

    - #### getStartTime

          public long getStartTime(java.util.concurrent.TimeUnit timeUnit)

      获取mv在轨道的开始时间
      Parameters:
        `timeUnit` - 时间单位
      Returns:
        startTime

    - #### getDuration

          public long getDuration()

      获取mv的持续时长,单位： 毫秒
      Returns:
        duration

    - #### getDuration

          public long getDuration(java.util.concurrent.TimeUnit timeUnit)

      获取mv的持续时长
      Parameters:
        `timeUnit` - 时间单位
      Returns:
        duration

    - #### getAudioStreamId

          public int getAudioStreamId()

      获取音频流id

    - #### setAudioStreamId

          public void setAudioStreamId(int audioStreamId)

      设置音频流id
      Parameters:
        `audioStreamId` -